/*
 Copyright (c) 2006-2016 Trellis Management Co. Ltd.

 This software module is an implementation of one or more tools as proposed
 for the JPEG XT standard.
 
 The copyright in this software is being made available under the
 license included with the sources LICENSE.TXT. This software may be subject to other third
 party and contributor rights, including patent rights, and no such
 rights are granted under this license. 
*/

#ifndef _decoder_h
#define _decoder_h
#include "hdr_io.h"
#include "xdp_jpeg_hdr.h"


int xdp_HDRDecode(FILE_IMAGE *image_24bit,FILE_IMAGE *image_hdr,FILE_IMAGE **out_hdr_image,XDEPTH_INFO *xd_info);
FILE_IMAGE *XDP_ExpandHDR(XDEPTH_INFO *params,FILE_IMAGE *ldr_image,MEMORY_FILE_IMAGE *hdr_image);
int xdp_decode(const char *filename,const char *out_filename);
#endif
